Subject: Re: single process receives own frames due to PACKET_MMAP

From: Daniel Borkmann <[email-masked]>
Date: Wed, 08 Jan 2014 15:24:43 +0100

On 01/08/2014 03:18 PM, Norbert van Bolhuis wrote:

>>> Is there a way to use one PF_PACKET socket for both TX and RX and use PACKET_MMAP ?
>>
>> Yep:
>>
>> http://thread.gmane.org/gmane.linux.network/269129/focus=269188
>>
>> Feel free to make a patch and add this to Documentation/networking/packet_mmap.txt
>> I think could be useful for others as well.
>
>
> Good, it all works fine now, though performance is still not as good as I'd hoped.

Does your use case allow for TPACKET_V3 or for using fanout ?

> I will sent a doc patch soon.

Sounds great, thanks!

> thanks for all help!